SubblySubbly
Log inGet started
  • Get started
  • Developer resources
Storefront API reference
Docs
Information
    Base URLAuthenticationPaginationErrors
Bootstrap
    Get shop info and settings
Product
    Get list of productsGet product by IDGet variant or pricing by IDGet plan by ID
Bundle
    Get list of bundlesGet bundle by IDQuote bundleGet list of bundle group itemsGet list of bundle itemsGet the list of bundle items associated with multiple bundles
Survey
    Get survey by ID
Cart
    Init cartGet cart by IDUpdate cart by IDGet cart gifting datesGet cart start datesGet shipping methodsGet local pickupsValidate the cartAttach the customer to the cart
Cart Item
    Add cart itemUpdate cart itemDelete cart item
Checkout
    Make purchase from the cart
Auth
    LoginOtp LoginOtp GenerateSocial LoginRegisteredRegister
Customer
    Get the current customerGet the current customer referral infoUpdate customer
Address
    Get list of addressStore addressUpdate addressDelete address
Pickup Info
    Get list of pickup infosStore pickup infoUpdate pickup infoDelete pickup info
Wallet
    Store payment methodGet list of payment methodsStore payment methodDelete payment methodSet default payment method
Subscription
    Get list of subscriptionsShow subscriptionUpdate subscriptionUpdate subscription survey preferences by Subscription IDUpdate subscription bundle data by Subscription IDCancel a subscriptionUndo cancellationUpdate subscription payment methodGet shipping methodsGet local pickupsCreate a subscription itemShow a subscription itemUpdate a subscription itemRemove a subscription itemUpdate a subscription item's preferencesUpdate a subscription item's bundle
Order
    Get list of ordersGet order by ID
Invoice
    Get list of invoicesGet invoice by ID
Payment Intent
    Confirm payment intentGet payment intent by ID
Funnels
    Get the current pre purchase funnel step by IDRefresh the funnel progressAccept the pre purchase funnel stepReject the pre purchase funnel stepGet the current mid purchase funnel step by IDRefresh the funnel progressAccept the mid purchase funnel stepReject the mid purchase funnel step
Countries
    Get list of countries
Out Of Stock
    Subscribe to the out of stock
Cancellation
    Get shop cancellation reasons
Metafield
    Get shop's metafields
Product Collection
    Get list of product collectionsGet product collection by IDGet list of collection groups with items
Lead
    Store the shop lead

Out Of Stock

Storefront Out of Stock API endpoints

Endpoints
  • POST/out_of_stock

Subscribe to the out of stock

POST /out_of_stock

Store the out of stock product or answer.

Request body

Store out of stock body

emailoptionalstring
quantityoptionalinteger
answer_idoptionalinteger
product_idoptionalinteger

ReturnsOutOfStock

Out of stock object response

curl -X POST https://api.subbly.co/storefront/v1/out_of_stock \ -H 'X-API-KEY: <api-key>' \ -H 'Content-Type: application/json' \ -d '{ "email": "email", "quantity": 1, "answer_id": 1, "product_id": 1 }'
Response
{ "id": 1, "shop_id": 1, "product_id": 1, "email": "test@test.com", "quantity": 1, "entity_id": 1, "entity_type": "product", "in_stock_at": "2022-04-01 00:00:00", "created_at": "2022-04-01 00:00:00", "updated_at": "2022-04-01 00:00:00" }
idinteger
shop_idinteger
product_idinteger
emailstring
quantityinteger
entity_idinteger
entity_typestring

Possible values: product, survey_answer.

in_stock_atstring

Format: date-time.

created_atstring

Format: date-time.

updated_atstring

Format: date-time.